# Uses of Interface
javafx.collections.ObservableIntegerArray

Packages that use ObservableIntegerArray
Package
Description
javafx.beans.binding
Provides classes that create and operate on a `Binding` that calculates a value that depends on one or more sources.
javafx.collections
Contains the essential JavaFX collections and collection utilities
javafx.scene.shape
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of ObservableIntegerArray in javafx.beans.binding

Methods in javafx.beans.binding with parameters of type ObservableIntegerArray
Modifier and Type
Method
Description
`static IntegerBinding`
Bindings.`integerValueAt(ObservableIntegerArray op, int index)`
Creates a new `IntegerBinding` that contains the element of an `ObservableArray` at the specified position.
`static IntegerBinding`
Bindings.`integerValueAt(ObservableIntegerArray op, ObservableIntegerValue index)`
Creates a new `IntegerBinding` that contains the element of an `ObservableArray` at the specified position.
`static IntegerBinding`
Bindings.`integerValueAt(ObservableIntegerArray op, ObservableNumberValue index)`
Creates a new `IntegerBinding` that contains the element of an `ObservableArray` at the specified position.

## Uses of ObservableIntegerArray in javafx.collections

Methods in javafx.collections that return ObservableIntegerArray
Modifier and Type
Method
Description
`static ObservableIntegerArray`
FXCollections.`observableIntegerArray()`
Creates a new empty observable integer array.
`static ObservableIntegerArray`
FXCollections.`observableIntegerArray(int... values)`
Creates a new observable integer array with `values` set to it.
`static ObservableIntegerArray`
FXCollections.`observableIntegerArray(ObservableIntegerArray array)`
Creates a new observable integer array with copy of elements in given `array`.
Methods in javafx.collections with parameters of type ObservableIntegerArray
Modifier and Type
Method
Description
`void`
ObservableIntegerArray.`addAll(ObservableIntegerArray src)`
Appends content of a given observable array to the end of this array.
`void`
ObservableIntegerArray.`addAll(ObservableIntegerArray src, int srcIndex, int length)`
Appends a portion of given observable array to the end of this array.
`void`
ObservableIntegerArray.`copyTo(int srcIndex, ObservableIntegerArray dest, int destIndex, int length)`
Copies specified portion of array into `dest` observable array.
`static ObservableIntegerArray`
FXCollections.`observableIntegerArray(ObservableIntegerArray array)`
Creates a new observable integer array with copy of elements in given `array`.
`void`
ObservableIntegerArray.`set(int destIndex, ObservableIntegerArray src, int srcIndex, int length)`
Copies a portion of specified observable array into this observable array.
`void`
ObservableIntegerArray.`setAll(ObservableIntegerArray src)`
Replaces this observable array content with a copy of given observable array.
`void`
ObservableIntegerArray.`setAll(ObservableIntegerArray src, int srcIndex, int length)`
Replaces this observable array content with a portion of a given observable array.

## Uses of ObservableIntegerArray in javafx.scene.shape

Subinterfaces of ObservableIntegerArray in javafx.scene.shape
Modifier and Type
Interface
Description
`interface`
`ObservableFaceArray`
`ObservableFaceArray` is an `int[]` array that allows listeners to track changes when they occur.
Methods in javafx.scene.shape that return ObservableIntegerArray
Modifier and Type
Method
Description
`final ObservableIntegerArray`
TriangleMesh.`getFaceSmoothingGroups()`
Gets the `faceSmoothingGroups` array of this `TriangleMesh`.